<?xml version="1.0"  encoding="utf-8" ?>

<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" >
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:param name="cat"/>
        <xsl:param name="highercat"/>
    <xsl:strip-space elements="..."/>
    <xsl:preserve-space elements="..."/>

<!-- template rule matching source root element -->
<xsl:template match="/">
<xsl:for-each select="./IAMCategoryProductListRS">
<!--Outer Table-->
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="categoryproductlist">
  <tr><td>
    <table width="100%" border="0" cellspacing="0" cellpadding="0" id="pagehead">
		<tr><td><h1><xsl:value-of select="./Category/Name"/></h1></td>
		<td align="right" valign="top">
         <xsl:for-each select="./BreadCrumb">
            <xsl:param name="myBreadName" select="./Name"/>
            <xsl:param name="myBreadLink" select="./Link"/>
            <a class="breadcrumb" href="/CategoryProductList.jsp?cat={url:encode(string($myBreadLink),string('UTF-8'))}">
             	<xsl:value-of select="./Name"/>
            </a> 
			<xsl:if test="position() != last()"> > </xsl:if>
         </xsl:for-each>
        </td>
     </tr>
  </table>
  
  
  
  <!-- display banner image for category if one is specified -->
  <xsl:if test="normalize-space(./Category/Image)">
			<center><img src="/design_images/{./Category/Image}" alt="{./Category/Name}" border="0"/></center><br />
  </xsl:if>
  
  <!-- display description for category if one is specified -->
  <xsl:if test="normalize-space(./Category/Desc)">
      <xsl:value-of select="./Category/Desc" disable-output-escaping="yes"/>
  </xsl:if>
  </td></tr> 
		   
<!--begin sub cat Table-->
<xsl:if test="normalize-space(./Category/Category)">		                                                  
        <tr><td><br />
		<table width="100%" border="0" cellpadding="0" cellspacing="0" >
        <tr><td class="tblhead">Subcategories: </td></tr>
		<tr>
			<td valign="top">
            <xsl:for-each select="./Category/Category">
            <div class="subcategory">				
			  <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}:{url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a><br />
            <xsl:for-each select="./Category">
             &nbsp;&nbsp;&nbsp;<a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}:{url:encode(string(../Name),string('UTF-8'))}:{url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a><br />
            </xsl:for-each>  
			     </div>                    
		</xsl:for-each>
        </td> 
			</tr> 
		</table>
       </td></tr>
</xsl:if>
<!-- end sub cat Table-->
</table>   

	



<!-- begin item list -->	
<xsl:if test="normalize-space(./Item)">
<br />
    <table cellspacing="0" cellpadding="0" border="0" width="100%" id="productlist" >
		 <tr>
             <td align="center" colspan="4"> 
             <!-- Begin Page Navigation -->
                <table width="100%" border="0" cellpadding="0" cellspacing="0" class="catNav">
                  <tr>
                    <xsl:for-each select="//PageList">
					  <td align="left">Displaying <xsl:value-of select="./CurrentItemOffset + 1"/> to <xsl:value-of select="./CurrentItemOffset + count(//Item)"/> (of <xsl:value-of select="./ProductCount"/>&nbsp;products)</td>
					  <td align="right">
                        <xsl:if test="count(./PageOffset) &gt; 1">
						
						<xsl:for-each select="./PageOffset">
                          <xsl:if test="position() = 1">Result Pages:&nbsp;</xsl:if>
                          <xsl:choose>
                            <xsl:when test=". != ../CurrentItemOffset">
                                        <a href="CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={.}"><xsl:value-of select="position()"/></a>
                            </xsl:when>
                            <xsl:otherwise><span class="selectedPage"><xsl:value-of select="position()"/></span></xsl:otherwise>
                          </xsl:choose>&nbsp;
                        </xsl:for-each>&nbsp;
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != 0)">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={//PageList/CurrentItemOffset - //PageList/ItemsPerPage}">
                          &lt;&lt;&nbsp;Prev</a>&nbsp;
                        </xsl:if>
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != ((//PageList/Pages - 1) * //PageList/ItemsPerPage))">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={(//PageList/CurrentItemOffset) + //PageList/ItemsPerPage}">Next&nbsp;&gt;&gt;</a>
                        </xsl:if>
						</xsl:if>
					  </td>
                    </xsl:for-each>
		</tr></table>
		<!-- End Page Navigation -->	
             </td>
    </tr>	
	<xsl:if test="normalize-space(./Item)">
    <tr><td class="tblhead">Image</td><td class="tblhead">Name</td><td class="tblhead">Desc</td><td class="tblhead">&nbsp;</td></tr>
    </xsl:if>
	<!-- display items in DIVs -->	
      <xsl:for-each select="./Item">
		<tr>			
        <td>
					  <xsl:if test="normalize-space(./ItemImageThumb)">
						<div align="center"><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" alt="{./DisplayName}" border="0" class="reflect"/></a><br />
					      </div>
					  </xsl:if>
                    </td>
                    <td><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><xsl:value-of select="./DisplayName"/></a>
                    </td><td><xsl:value-of select="./DisplayDesc"/></td>
                    <td>
                    <xsl:if test="(count(./Variant) &lt; 1)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <span class="price">
                      <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                            This item is on SALE NOW!<br/>
                            Regular Price: $<xsl:value-of select="./Price1"/><br/>
                        </xsl:if>
                        $<xsl:value-of select="./DisplayPrice"/>
                        </span>
                        <br/><br/>
                        <input type="hidden" name="ListID" id="ListID" value="{ListID}"/>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>
                    <xsl:if test="(count(./Variant) &gt; 0)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <br/>
                        <select name="ListID" id="ListID">
                        <xsl:for-each select="./Variant">
                            <option value="{ListID}">
                                <xsl:value-of select="./ItemSize"/>
                                <xsl:value-of select="./ItemAttribute"/>
                            <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                                    Reg: $<xsl:value-of select="./Price1"/> Sale: 
                            </xsl:if>
                                $<xsl:value-of select="./DisplayPrice"/>
                            </option>
                        </xsl:for-each>
                        </select>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <br/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>
                    </td>
    </tr>
    </xsl:for-each>
	<!-- end item DIVs -->
	
	<xsl:if test="position()=last()">
		 <tr><td align="center" colspan="4"> 
                  <!-- Begin Page Navigation -->
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="catNav">
	  <tr>
                      <xsl:for-each select="//PageList">
					  <td>Displaying <xsl:value-of select="./CurrentItemOffset + 1"/> to <xsl:value-of select="./CurrentItemOffset + count(//Item)"/> (of <xsl:value-of select="./ProductCount"/>&nbsp;products)</td>
					  <td align="right">
                        <xsl:if test="count(./PageOffset) &gt; 1">
						
						<xsl:for-each select="./PageOffset">
                                <xsl:if test="position() = 1">Result Pages:&nbsp;</xsl:if>
                                <xsl:choose>
                                     <xsl:when test=". != ../CurrentItemOffset">
                                        <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={.}"><xsl:value-of select="position()"/></a>
                                  </xsl:when>
                                        <xsl:otherwise><span class="selectedPage"><xsl:value-of select="position()"/></span></xsl:otherwise>
                                </xsl:choose>&nbsp;
                        </xsl:for-each>&nbsp;
                        
						<!-- Previous Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != 0)">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={//PageList/CurrentItemOffset - //PageList/ItemsPerPage}">
                          &lt;&lt;&nbsp;Prev</a>&nbsp;
                        </xsl:if>
						
						<!-- Next Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != ((//PageList/Pages - 1) * //PageList/ItemsPerPage))">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={(//PageList/CurrentItemOffset) + //PageList/ItemsPerPage}">Next&nbsp;&gt;&gt;</a>
                        </xsl:if>
						
						</xsl:if>
						</td>
                    </xsl:for-each>
		</tr></table>
		<!-- End Page Navigation -->  
                </td>
        </tr>		
      </xsl:if>
</table>
</xsl:if>
</xsl:for-each>

</xsl:template>
<!-- end item list -->		
    
</xsl:stylesheet> 