<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" >
<xsl:output method="html"/>

    <xsl:strip-space elements="..."/>
              
    <xsl:preserve-space elements="..."/>

    <!-- template rule matching source root element -->
    <xsl:template match="/">
        <xsl:for-each select="IAMProductListRS">
           <xsl:for-each select="./Item">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" id="productdetail" >
           <tr> 
	   <td>
	  <table width="100%" border="0" cellspacing="0" cellpadding="0" id="pagehead">
		<tr><td>
			 	<h1><xsl:value-of select="./DisplayName"/></h1>
			 
		
		 </td><td align="right" valign="top">
         <xsl:for-each select="./BreadCrumb">
            <xsl:param name="myBreadName" select="./Name"/>
            <xsl:param name="myBreadLink" select="./Link"/>
            <a class="breadcrumb" href="/CategoryProductList.jsp?cat={url:encode(string($myBreadLink),string('UTF-8'))}">
             	<xsl:value-of select="./Name"/>            </a> 
			<xsl:if test="position() != last()"> > </xsl:if>
         </xsl:for-each>
        </td>
     </tr>
  </table>
	    <!-- end breadcrumbs-->	   </td>
              </tr>
              <tr>
              <!--image-->
                <td>
                    <xsl:if test="normalize-space(./ItemImageMed)">
						<a target="_ProductHiRes" href="/product_images/{./ItemImageHiRes}" class="smoothbox" title="{./DisplayName} - {./DisplayDesc}">
                        <img class="reflect" border="0" src="/product_images/{./ItemImageMed}" alt="{./DisplayName}"/>                        </a>  <br />
</xsl:if>
					<xsl:if test="normalize-space(./ItemImageOther1)">
                        <img class="reflect" border="0" src="/product_images/{./ItemImageOther1}" alt="{./DisplayName} image 2"/>
                       <br />
					</xsl:if>	
					<xsl:if test="normalize-space(./ItemImageOther2)">
                        <img class="reflect" border="0" src="/product_images/{./ItemImageOther2}" alt="{./DisplayName} image 3"/>
                       <br />
					</xsl:if>
					<xsl:if test="normalize-space(./ItemImageOther3)">
                        <img class="reflect" border="0" src="/product_images/{./ItemImageOther3}" alt="{./DisplayName} image 4"/>
                       <br />
					</xsl:if>
					<br />
                    
                    <xsl:value-of select="./DisplayDesc"/> <br/>
                    
   		          <!-- Bulletpoints -->
	              <ul id="bulletPoints">
	                <xsl:for-each select="./BulletPoint">
	                  <li><xsl:value-of select="."/></li>
     		   </xsl:for-each >
                         </ul>
						 
					<xsl:if test="normalize-space(./DisplayDescDetailed)">
					<xsl:value-of select="./DisplayDescDetailed" disable-output-escaping="yes"/><br />
					<br/>
                    </xsl:if>
                   
						 
	              
	              

	              <!-- Uncomment the line below to display the Vendor of the item-->
                  <xsl:if test="normalize-space(./PrefVendorRef/FullName)">
				  Vendor: <xsl:value-of select="./PrefVendorRef/FullName"/> <br/>
				  </xsl:if>
                    
	              
				
                  <!-- Quantity Discount Pricing -->
                	<xsl:for-each select="./QDPList"><br />
                            <table id="qdplist">
                            <tr>
                            <td class="tblhead" colspan="2">Buy More and Save</td>
                            </tr><tr><td><b>1-<xsl:value-of select="//QDP[1]/MinQty - 1"/></b></td><td>$<xsl:value-of select="//DisplayPrice"/> each</td></tr>
                                <xsl:for-each select="./QDP">
                                <xsl:choose>
                                <xsl:when test="position() != last()">
                                <xsl:param name="qdpMax" select="position() + 1"/> 
                                    <tr><td><b><xsl:value-of select="./MinQty"/>-<xsl:value-of select="//QDP[$qdpMax]/MinQty - 1"/></b></td><td>$<xsl:value-of select="format-number(Price,'0.00')"/> each</td></tr>
                                  </xsl:when>
                                    <xsl:otherwise>
                                        <tr><td><b><xsl:value-of select="./MinQty"/>+</b></td><td>$<xsl:value-of select="format-number(Price,'0.00')"/> each</td></tr>
                                    </xsl:otherwise>
                                  </xsl:choose>
                                </xsl:for-each>
                            </table>
                        </xsl:for-each>
                    <!-- Quantity Discount Pricing end -->    
                        
					<!-- non Variant Form -->					
					<xsl:if test="(count(./Variant) &lt; 1)"  >
				<form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                  <br/>
                  <input type="hidden" name="ListID" id="ListID" value="{ListID}"/>
                  <input type="hidden" name="act" id="act" value="addItem"/>	
				
                <!-- Uncomment the line below to show Quantity in Stock-->
	              Inventory status: <xsl:value-of select="./DisplayQty"/> <br/>
				  
                  <!-- Uncomment the line below to display the weight of the item -->
                  <xsl:if test="normalize-space(./Weight)">
                  Shipping Weight: <xsl:value-of select="./Weight"/> lbs.<br/>
				  </xsl:if>
                
                  <xsl:if test="not(normalize-space(//QDPList))">Price: $<xsl:value-of select="./DisplayPrice"/> <br/></xsl:if>
                  Qty:<input name="Qty" type="text" size="4" maxlength="4" value="1"/>
                       
                  <br/><br/>
                  <input type="submit" name="submitbtn" id="submitbtn" value="Add to Cart"/>
                  
                  <input type="hidden" name="Type" id="Type" value="private"/> 
					<input type="button" name="submitWish" id="submitWish" onClick="document.frm{ListID}.action=&quot;/Saved.jsp&quot; ; document.frm{ListID}.act.value=&quot;addToSavedCart&quot; ; document.frm{ListID}.submit();" value="Add to Wishlist"/>
					<input type="button" name="submitReg" id="submitReg"   onClick="document.frm{ListID}.action=&quot;/Saved.jsp&quot; ; document.frm{ListID}.act.value=&quot;addToSavedCart&quot; ; document.frm{ListID}.Type.value=&quot;public&quot; ;  document.frm{ListID}.submit();" value="Add to Registry"/>
			
                </form>
                </xsl:if>
                <!-- non Variant Form end -->
                
                <!--  Variant Form -->
                <xsl:if test="(count(./Variant) &gt; 0)"  >
                    <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                    <br/>
                    <input type="hidden" name="act" id="act" value="addItem"/>	
                    
                    <select name="ListID" id="ListID">        
                    <xsl:for-each select="./Variant">
                    <option value="{ListID}">
                    <xsl:if test="normalize-space(./DisplayName)"><xsl:value-of select="./DisplayName"/>&nbsp;-&nbsp;</xsl:if>
                    <xsl:if test="normalize-space(./ItemSize)"><xsl:value-of select="./ItemSize"/>&nbsp;-&nbsp;</xsl:if>
                    <xsl:if test="normalize-space(./ItemAttribute)"><xsl:value-of select="./ItemAttribute"/>&nbsp;-&nbsp;</xsl:if>
                    $<xsl:value-of select="./DisplayPrice"/>                    </option>
                    </xsl:for-each>
                    </select>
                    Qty:<input name="Qty" type="text" size="4" maxlength="4" value="1"/>
                            
                    <br/><br/>
            <input type="submit" name="submitbtn" id="submitbtn" value="Add to Cart"/>    
            
                
			<input type="hidden" name="Type" id="Type" value="private"/> 
			<input type="button" name="submitWish" id="submitWish" onClick="document.frm{ListID}.action=&quot;/Saved.jsp&quot; ; document.frm{ListID}.act.value=&quot;addToSavedCart&quot; ; document.frm{ListID}.submit();" value="Add to Wishlist"/>
			<input type="button" name="submitReg" id="submitReg"   onClick="document.frm{ListID}.action=&quot;/Saved.jsp&quot; ; document.frm{ListID}.act.value=&quot;addToSavedCart&quot; ; document.frm{ListID}.Type.value=&quot;public&quot; ;  document.frm{ListID}.submit();" value="Add to Registry"/>
			
                   </form>
              </xsl:if>
              <!--  Variant Form end -->
              <br /><br />					</td>
              </tr>  
              <tr><td>
              <!-- related products -->
              <xsl:for-each select="./XSellProductList">
              		<!-- display items in DIVs -->	
      <xsl:for-each select="./Item">
      <xsl:if test="position() = 1">
      	<table width="100%" border="0" cellpadding="0" cellspacing="0" id="related">
      	  <tr><td align="left" class="tblhead">Related Products</td></tr></table>
      </xsl:if>
					<div class="categoryProduct">
					  <xsl:if test="normalize-space(./ItemImageThumb)">
						<div align="center"><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" alt="{./DisplayName}" border="0" class="reflect"/></a><br />
				        </div>
					  </xsl:if>
                    <p><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><xsl:value-of select="./DisplayName"/></a>
                    <br /><xsl:value-of select="./DisplayDesc"/><br /></p>
                    <!-- this enables the add to cart option for related products-->
                    <!-- <xsl:if test="(count(./Variant) &lt; 1)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <span class="price">
                      <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                            This item is on SALE NOW!<br/>
                            Regular Price: $<xsl:value-of select="./Price1"/><br/>
                        </xsl:if>
                        $<xsl:value-of select="./DisplayPrice"/>
                        </span>
                        <br/><br/>
                        <input type="hidden" name="ListID" id="ListID" value="{ListID}"/>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>
                    <xsl:if test="(count(./Variant) &gt; 0)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <br/>
                        <select name="ListID" id="ListID">
                        <xsl:for-each select="./Variant">
                            <option value="{ListID}">
                                <xsl:value-of select="./ItemSize"/>
                                <xsl:value-of select="./ItemAttribute"/>
                            <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                                    Reg: $<xsl:value-of select="./Price1"/> Sale: 
                            </xsl:if>
                                $<xsl:value-of select="./DisplayPrice"/>
                            </option>
                        </xsl:for-each>
                        </select>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <br/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>-->
					</div>
    </xsl:for-each>
	<!-- end item DIVs -->
              </xsl:for-each>
              <!-- related products end -->
              </td></tr>
             </table>
          </xsl:for-each>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet> 
