<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" />
<xsl:strip-space elements="..."/>
<xsl:preserve-space elements="..."/>
<xsl:param name="Act"/>
<xsl:param name="SavedCartIDOpen"/>
<xsl:template match="/"><style type="text/css">
<xsl:comment>
</xsl:comment>
</style>



<xsl:for-each select="IAMSavedListRS">
<h1>Saved Carts</h1>
<p>Saved Carts can be used to save a list of items to be accessed later. You can use this to create a Wishlist, Registry, Project, or Reorder Form. Fill out the required info below to save your cart.</p>

    <div id="newSavedCartTitle" class="tblhead">New Saved Cart - <a href='javascript:revealer(document.getElementById("newSavedCart"),document.getElementById("newSavedCartExpand"))' style="font-size:11px;" id="newSavedCartExpand">{hide}</a></div>
    
    <div id="newSavedCart">
    <form name="frmAddSavedCart" id="frmAddSavedCart" action="Saved.jsp">
    <input name="act" value="addSavedCart" type="hidden"/>
	<table border="0" cellpadding="2" cellspacing="0" width="100%">
      <tbody><tr>
        <td valign="top">Type:</td>
        <td valign="top"><select name="Type">
          <option value="private">Private</option>
          <option value="public">Public</option>
        </select>
        </td>
        <td valign="top"><span class="style2">(Making a cart public allows other shoppers to purchase items from it)</span>       </td>
      </tr><tr>
        <td valign="top">Save As :</td>
        <td valign="top"><input name="SavedName" type="text"/></td>
        <td valign="top"><span class="style2">(ex: Smith Wedding Registry, Jones Baby Shower, Johnston Design Project)</span></td>
        </tr>
      <tr>
        <td valign="top">Description:</td>
        <td valign="top"><textarea name="SavedDesc" rows="2" width="60"></textarea></td>
        <td valign="top"><span class="style2">(A description to remind you what is in here)</span></td>
      </tr>
    </tbody></table>
      <br/><input name="submit" value="Create New Saved Cart" type="submit"/><br /><br />
    </form>
    </div>
    
    <br />
	<div id="savedCartListTitle" class="tblhead">Saved Cart List - 
    <a href='javascript:revealer(document.getElementById("savedCartList"),document.getElementById("savedCartExpand"))' style="font-size:11px;" id="savedCartExpand">{hide}</a>
    </div>
	<div id="savedCartList">
	<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<xsl:for-each select="//SavedCart">
	<tr>
    	<td colspan="5" bgcolor="#eeeeee" style="border:solid 1px #ccc;padding:5px;">
        <h1 style="display:inline"><xsl:value-of select="./SavedCartName"/></h1> (<xsl:value-of select="SavedCartType"/>)&nbsp;&nbsp;&nbsp;
		<input name="deleteSavedCart" id="deleteSavedCart" type="button" value="Delete &quot;{./SavedCartName}&quot;" onclick='window.location="/Saved.jsp?act=removeCart&amp;SavedCartID={SavedCartID}"'/>&nbsp;
		<xsl:if test="count(./SavedCartItems/Item) &gt; 0 ">    
		<input name="setall{SavedCartID}" id="setall{SavedCartID}" type="button" value="Copy Desired Qtys"/>&nbsp;
    	<input name="addall{SavedCartID}" id="addall{SavedCartID}" type="button" value="Buy All"/>
		</xsl:if>
    	</td>
    </tr>
    <xsl:if test="count(./SavedCartItems/Item) &gt; 0 ">
    <tr>
        <td align="center"><strong>Action</strong></td>
        <td align="center"><strong>Name / Description</strong></td>
        <td align="center"><strong>Price</strong></td>
        <td align="center"><strong> Desired Qty</strong></td>
        <td align="center"><strong>Purchase Qty</strong></td>
    </tr>
    </xsl:if>
    <xsl:for-each select="./SavedCartItems/Item">
    <tr>
    	<td><!-- action list -->
		<select name="toSavedCartID" onChange='window.location = this.value' class="savedCartAction">
		<option value="#">Choose an Action: </option>
        <option value="/Saved.jsp?act=removeItem&amp;ItemID={ID}">Remove this Item</option>
        <xsl:param name="thisCart" select="../../SavedCartID"/>
        <xsl:param name="thisItem" select="ID"/>
		<xsl:for-each select="//SavedCart">
            <xsl:if test="./SavedCartID != $thisCart"><!-- only lists carts other than this one -->
    			<option value="/Saved.jsp?act=copy&amp;ItemID={$thisItem}&amp;SavedCartID={./SavedCartID}">Copy to &quot;<xsl:value-of select="./SavedCartName"/>&quot;</option>
			</xsl:if>
        </xsl:for-each>
        </select></td>
		<td><xsl:value-of select="./Name"/><br/><xsl:value-of select="./Desc"/></td>		
		<td align="center"><xsl:if test="./RegularPrice &gt; ./CustomerPrice">
		  Regular Price: $<xsl:value-of select="./RegularPrice"/><br />
		</xsl:if>
		<xsl:if test="./CustomerPrice &gt; ./CurrentPrice">Your Price: $<xsl:value-of select="./CustomerPrice"/><br />
		Current Price:</xsl:if>
        $<xsl:value-of select="./CurrentPrice"/></td>	
		<td align="center"><span id="qtyDesired{ID}"><xsl:value-of select="./Quantity"/></span></td>	
		<td align="center">
        <form id="frmSavedCart{SavedCartID}" name="frmSavedCart{SavedCartID}" action="ViewCart.jsp" method="GET">
		<input type="hidden" name="action" id="action" value="addItems"/>
		<input type="text" size="3" name="Qty" id="Qty{ID}" class="QtyCart{SavedCartID}" value="0"/>&nbsp;
		<input type="hidden" name="ListID" id="ListID" value="{ListID}"/>
		<xsl:if test="../../SavedCartType = 'public'">
        	<input type="hidden" name="reducereg" value="true"/>
        	<input type="hidden" name="SavedCartItemID" value="{ID}"/>
        </xsl:if>
 		<input name="BuyNow" type="submit" value="Buy Now" /> 
        </form> 		</td>
		</tr>
	</xsl:for-each>
    <tr><td colspan="5">&nbsp;</td></tr>
</xsl:for-each>
</table>
<br />
</div>

<xsl:choose>
<xsl:when test="$Act != ''">
<script>
  <![CDATA[
document.getElementById('newSavedCart').style.display="none";
document.getElementById('newSavedCartExpand').innerHTML="{show}";
  ]]>
</script>
</xsl:when>
<xsl:otherwise>
<script>
  <![CDATA[
document.getElementById('newSavedCart').style.display="block";
document.getElementById('newSavedCartExpand').innerHTML="{hide}";
  ]]>
</script>
</xsl:otherwise>
</xsl:choose>

</xsl:for-each>
</xsl:template>
</xsl:stylesheet>