<?xml version="1.0"  encoding="utf-8" ?>

<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" >
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:param name="cat"/>
        <xsl:param name="highercat"/>
    <xsl:strip-space elements="..."/>
    <xsl:preserve-space elements="..."/>

<!-- template rule matching source root element -->
<xsl:template match="/">
<xsl:for-each select="./IAMProductListRS">

<!-- begin item list -->	
<xsl:if test="normalize-space(./Item)">
<br />
    <table cellspacing="0" cellpadding="0" border="0" width="100%" id="productlist" >
		 <tr>
             <td class="tblhead" align="center"> 
             <!-- Begin Page Navigation -->
                <table width="100%" border="0" cellpadding="0" cellspacing="0" class="catNav">
                  <tr>
                    <xsl:for-each select="//PageList">
					  <td align="left">Displaying <xsl:value-of select="./CurrentItemOffset + 1"/> to <xsl:value-of select="./CurrentItemOffset + count(//Item)"/> (of <xsl:value-of select="./ProductCount"/>&nbsp;products)</td>
					  <td align="right">
                        <xsl:if test="count(./PageOffset) &gt; 1">
						
						<xsl:for-each select="./PageOffset">
                          <xsl:if test="position() = 1">Result Pages:&nbsp;</xsl:if>
                          <xsl:choose>
                            <xsl:when test=". != ../CurrentItemOffset">
                                        <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={.}"><xsl:value-of select="position()"/></a>
                            </xsl:when>
                            <xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
                          </xsl:choose>&nbsp;
                        </xsl:for-each>&nbsp;
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != 0)">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={//PageList/CurrentItemOffset - //PageList/ItemsPerPage}">
                          &lt;&lt;&nbsp;Prev</a>&nbsp;
                        </xsl:if>
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != ((//PageList/Pages - 1) * //PageList/ItemsPerPage))">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={(//PageList/CurrentItemOffset) + //PageList/ItemsPerPage}">Next&nbsp;&gt;&gt;</a>
                        </xsl:if>
						</xsl:if>
					  </td>
                    </xsl:for-each>
		</tr></table>
		<!-- End Page Navigation -->	
             </td>
    </tr>	
	<tr><td>
	<!-- display items in DIVs -->	
      <xsl:for-each select="./Item">
					<div class="categoryProduct">
					
					  <xsl:if test="normalize-space(./ItemImageThumb)">
						<div align="center"><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" alt="{./DisplayName}" border="0" class="reflect"/></a><br />
					      </div>
					  </xsl:if>
                    <p><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><xsl:value-of select="./DisplayName"/></a> - <xsl:value-of select="./DisplayDesc"/></p>
                    <!-- this enables the add to cart option -->
                    <!--<xsl:if test="(count(./Variant) &lt; 1)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <span class="price">
                        <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                            This item is on SALE NOW!<br/>
                            Regular Price: $<xsl:value-of select="./Price1"/><br/>
                        </xsl:if>
                        $<xsl:value-of select="./DisplayPrice"/>
                        </span>
                        <br/><br/>
                        <input type="hidden" name="ListID" id="ListID" value="{ListID}"/>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>
                    <xsl:if test="(count(./Variant) &gt; 0)">
                        <form name="frm{ListID}" id="frm{ListID}" action="/ViewCart.jsp" method="GET">
                        <br/>
                        <select name="ListID" id="ListID">
                        <xsl:for-each select="./Variant">
                            <option value="{ListID}">
                                <xsl:value-of select="./ItemSize"/>
                                <xsl:value-of select="./ItemAttribute"/>
                            <xsl:if test="( number(./DisplayPrice) &lt; number(./Price1)  )">
                                    Reg: $<xsl:value-of select="./Price1"/> Sale: 
                            </xsl:if>
                                $<xsl:value-of select="./DisplayPrice"/>
                            </option>
                        </xsl:for-each>
                        </select>
                        <input type="hidden" name="Qty" value="1"/>
                        <input type="hidden" name="action" value="addItem"/>
                        <br/>
                        <input type="submit" name="submit" value="Add to Cart"/>
                        </form>
                    </xsl:if>-->
					</div>
    </xsl:for-each>
	<!-- end item DIVs -->
	</td></tr>
	<xsl:if test="position()=last()">
		 <tr><td class="tblhead" align="center"> 
                  <!-- Begin Page Navigation -->
	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="catNav">
	  <tr>
                      <xsl:for-each select="//PageList">
					  <th>Displaying <xsl:value-of select="./CurrentItemOffset + 1"/> to <xsl:value-of select="./CurrentItemOffset + count(//Item)"/> (of <xsl:value-of select="./ProductCount"/>&nbsp;products)</th>
					  <th align="right">
                        <xsl:if test="count(./PageOffset) &gt; 1">
						
						<xsl:for-each select="./PageOffset">
                                <xsl:if test="position() = 1">Result Pages:&nbsp;</xsl:if>
                                <xsl:choose>
                                     <xsl:when test=". != ../CurrentItemOffset">
                                        <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={.}"><xsl:value-of select="position()"/></a>
                                  </xsl:when>
                                        <xsl:otherwise><xsl:value-of select="position()"/></xsl:otherwise>
                                </xsl:choose>&nbsp;
                        </xsl:for-each>&nbsp;
                        
						<!-- Previous Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != 0)">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={//PageList/CurrentItemOffset - //PageList/ItemsPerPage}">
                          &lt;&lt;&nbsp;Prev</a>&nbsp;
                        </xsl:if>
						
						<!-- Next Link -->
						<xsl:if test="(count(//PageOffset) > 1) and (//PageList/CurrentItemOffset != ((//PageList/Pages - 1) * //PageList/ItemsPerPage))">
                         <a href="/CategoryProductList.jsp?cat={url:encode(string($cat),string('UTF-8'))}&amp;offset={(//PageList/CurrentItemOffset) + //PageList/ItemsPerPage}">Next&nbsp;&gt;&gt;</a>
                        </xsl:if>
						
						</xsl:if>
						</th>
                    </xsl:for-each>
		</tr></table>
		<!-- End Page Navigation -->  
                </td>
        </tr>		
      </xsl:if>
</table>
</xsl:if>
</xsl:for-each>

</xsl:template>
<!-- end item list -->		
    
</xsl:stylesheet> 